#include <bits/stdc++.h>
using namespace std;
string s;
int sduzina,br,l,d,niz[3],z;
bool imam[30];
void poz(){
  z=1;
  for(int i=0;i<=sduzina-1;i++){
      if(s[i]=='b'){
         niz[z++]=i+1;
      }
  }
  l=niz[1];
  d=sduzina-niz[2]+1;
}
bool neparanpalindrom(){
    if(sduzina%2==0)return false;
    for(int i=0,j=sduzina-1;i<=sduzina/2;i++,j--){
        if(s[i]!=s[j])return false;
    }
    return true;
}
bool samoab(){
  if(br!=2)return false;
  if(imam[97]==false or imam[98]==false)return false;
  for(int i=99;i<=122;i++)if(imam[i])return false;
  return true;
}
int main(){
  cin>>s;
  sduzina=s.size();
  br=0;
  for(int i=0;i<=sduzina-1;i++){
      int x=s[i];
      imam[x]=true;
      if(x==98)br++;
  }
  if(neparanpalindrom()){cout<<1<<endl;return 0;}
  if(samoab()){
     poz();
     cout<<min(abs(l-d),2)<<endl;
  }


  return 0;
}